Bug 727638 - Firefox 5 memory leak
Summary: Firefox 5 memory leak
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Katello
Classification: Retired
Component: WebUI
Version: 1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Justin Sherrill
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-02 16:55 UTC by Jeff Weiss
Modified: 2014-11-09 22:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
FF5
Last Closed: 2011-09-22 02:35:39 UTC


Attachments (Terms of Use)

Description Jeff Weiss 2011-08-02 16:55:53 UTC
Description of problem:
Leaving katello main page open for a long time results in massive memory leak in FF

Version-Release number of selected component (if applicable):
katello-0.1.55-1.git.15.d0f0e65.fc14.noarch

How reproducible:
always

Steps to Reproduce:
1. Open FF5, log in to katello (note memory usage)
2. Leave page open for 12 hours
3.
  
Actual results:
memory usage increases by a factor of 5 at least.

Expected results:
memory usage is stable

Additional info:
This may happen in other versions of Firefox, I haven't seen the problem in Chrome, I am pretty sure it doesn't happen in chrome.

Comment 1 Justin Sherrill 2011-08-25 21:19:26 UTC
Not able to nail down a general trend in a short amount of time (a few hours of watching memory trends).  Jeff is going to try to reproduce without firebug in the meantime.

Comment 2 Jeff Weiss 2011-09-22 02:35:39 UTC
I'm pretty sure now this only occurs with firebug open.


Note You need to log in before you can comment on or make changes to this bug.